gr::radar::trigger_command_impl Class Reference

`#include <trigger_command_impl.h>`

Inheritance diagram for gr::radar::trigger_command_impl:

## Public Member Functions

| trigger_command_impl (std::string command, std::vector< std::string > identifiers, std::vector< float > vals_min, std::vector< float > vals_max, int block_time)
| ~trigger_command_impl ()
void | handle_msg (pmt::pmt_t msg)

## Public Attributes

std::string | d_command
std::vector< std::string > | d_identifiers
std::vector< float > | d_vals_min
std::vector< float > | d_vals_max
int | d_block_time
boost::posix_time::ptime | d_last_time
boost::posix_time::ptime | d_actual_time
boost::posix_time::time_duration | d_time_duration
pmt::pmt_t | d_port_id_in

## Additional Inherited Members

Public Types inherited from gr::radar::trigger_command
typedef std::shared_ptr< trigger_command > | sptr
Static Public Member Functions inherited from gr::radar::trigger_command
static sptr | make (std::string command, std::vector< std::string > identifiers, std::vector< float > vals_min, std::vector< float > vals_max, int block_time)
| Return a shared_ptr to a new instance of radar::trigger_command.

## Constructor & Destructor Documentation

## trigger_command_impl()

gr::radar::trigger_command_impl::trigger_command_impl | ( | std::string | command,
|  | std::vector< std::string > | identifiers,
|  | std::vector< float > | vals_min,
|  | std::vector< float > | vals_max,
|  | int | block_time )

## ~trigger_command_impl()

gr::radar::trigger_command_impl::~trigger_command_impl | ( |  | ) |

## Member Function Documentation

## handle_msg()

void gr::radar::trigger_command_impl::handle_msg | ( | pmt::pmt_t | msg | ) |

## Member Data Documentation

## d_actual_time

boost::posix_time::ptime gr::radar::trigger_command_impl::d_actual_time

## d_block_time

int gr::radar::trigger_command_impl::d_block_time

## d_command

std::string gr::radar::trigger_command_impl::d_command

## d_identifiers

std::vector<std::string> gr::radar::trigger_command_impl::d_identifiers

## d_last_time

boost::posix_time::ptime gr::radar::trigger_command_impl::d_last_time

## d_port_id_in

pmt::pmt_t gr::radar::trigger_command_impl::d_port_id_in

## d_time_duration

boost::posix_time::time_duration gr::radar::trigger_command_impl::d_time_duration

## d_vals_max

std::vector<float> gr::radar::trigger_command_impl::d_vals_max

## d_vals_min

std::vector<float> gr::radar::trigger_command_impl::d_vals_min

The documentation for this class was generated from the following file:

- trigger_command_impl.h